Subject: Re: bug#35816: 26.2; set-frame-font cannot set some fonts which autocomplete suggests due to dashes in names. I.e. gnu-unifont

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Aug 2021 21:33:35 +0200

Andreas Schwab <[email-masked]> writes:

> On Aug 11 2021, Lars Ingebrigtsen wrote:
>
>> (dolist (font (x-list-fonts "*"))
>>   (when (length> (split-string font "-") 15)
>>     (insert (format "%s\n" font))))

[...]

> mikachan-fonts-9.1.2006.08.09-lp153.1.41.noarch

Thanks!  After an "apt install fonts-mikachan" I can now reproduce the
problem on this Debian/bullseye system, too, and I'll try to see whether
I can come up with a solution.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no